curl --request GET \
--url https://api-stage.karmacheck.io/config/case/id/{caseId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-stage.karmacheck.io/config/case/id/{caseId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-stage.karmacheck.io/config/case/id/{caseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contacts": [
{
"email": "jsmith@example.com",
"name": "<string>",
"phone": "<string>"
}
],
"serviceConfigs": {
"85307784-1f84-471a-8596-c8ea088c3a62": {
"verificationMethod": {
"rawValue": "docs-acceptable",
"pillLabel": "${value}",
"valueDescription": "Documents acceptable.",
"configDescription": "Specifies the verification method used for this service.",
"valueDisplayLabel": "Documents Acceptable",
"configDisplayLabel": "Verification Method"
}
},
"9ac65633-b4c4-4062-875c-3556db9d2a08": {
"verificationMethod": {
"rawValue": "docs-acceptable",
"pillLabel": "${value}",
"valueDescription": "Documents acceptable.",
"configDescription": "Specifies the verification method used for this service.",
"valueDisplayLabel": "Documents Acceptable",
"configDisplayLabel": "Verification Method"
}
},
"service-employment-income": {
"verificationMethod": {
"rawValue": "docs-acceptable",
"pillLabel": "${value}",
"valueDescription": "Documents acceptable.",
"configDescription": "Specifies the verification method used for this service.",
"valueDisplayLabel": "Documents Acceptable",
"configDisplayLabel": "Verification Method"
}
},
"service-ohs-tb-quantiferon-gold": {
"substitutionPolicy": {
"rawValue": "company-default",
"pillLabel": "${value}",
"valueDescription": "Refer to company settings.",
"configDescription": "Specifies if T-Spot can be ordered in place of Quantiferon Gold when Quantiferon Gold is unavailable.",
"valueDisplayLabel": "Refer To Company Settings",
"configDisplayLabel": "Substitution Policy"
}
},
"service-ohs-tb-tspot-test": {
"substitutionPolicy": {
"rawValue": "company-default",
"pillLabel": "${value}",
"valueDescription": "Refer to company settings.",
"configDescription": "Specifies if Quantiferon Gold can be ordered in place of T-Spot when T-Spot is unavailable.",
"valueDisplayLabel": "Refer To Company Settings",
"configDisplayLabel": "Substitution Policy"
}
}
},
"diluteDrugPolicy": {
"rawValue": "company-default",
"appliesTo": {
"serviceIds": [],
"serviceCategoryIds": [],
"serviceSubCategoryIds": [
"service-subcat-drug"
]
},
"pillLabel": "${value}",
"valueDescription": "Refer to company settings.",
"configDescription": "Specifies next steps when a Drug sample is dilute.",
"valueDisplayLabel": "Refer To Company Settings",
"configDisplayLabel": "Dilute Drug Policy"
},
"aliasNameConfiguration": {
"rawValue": "no-alias",
"appliesTo": {
"serviceIds": [],
"serviceCategoryIds": [
"service-cat-criminal"
],
"serviceSubCategoryIds": []
},
"pillLabel": "${value}",
"valueDescription": "No aliases.",
"configDescription": "Specifies the method used to select aliases.",
"valueDisplayLabel": "No Aliases",
"configDisplayLabel": "Alias Name Configuration"
},
"lostOrIncompleteOHSDrugPolicy": {
"rawValue": "company-default",
"appliesTo": {
"serviceIds": [],
"serviceCategoryIds": [
"service-cat-ohs"
],
"serviceSubCategoryIds": []
},
"pillLabel": "${value}",
"valueDescription": "Refer to company settings.",
"configDescription": "Specifies next steps when an OHS/Drug sample is lost or incomplete.",
"valueDisplayLabel": "Refer To Company Settings",
"configDisplayLabel": "Lost or Incomplete OHS/Drug Policy"
},
"ohsDrugPassportExpirationPolicy": {
"rawValue": "company-default",
"appliesTo": {
"serviceIds": [],
"serviceCategoryIds": [
"service-cat-ohs"
],
"serviceSubCategoryIds": []
},
"pillLabel": "${value}",
"valueDescription": "Refer to company settings.",
"configDescription": "Specifies next steps when an OHS/Drug ePassport expires.",
"valueDisplayLabel": "Refer To Company Settings",
"configDisplayLabel": "OHS/Drug Passport Expiration Policy"
}
}Get case configuration
Returns the service configurations and contact information for a case. For information on how to create or update configuration options for a case, see Create case or Add to order.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the case for which to retrieve configurations.
Response
The response can include any combination of the objects described below. The structure of the response is determined by:
- Any points of contact that were added to the case.
- All screenings from the package that was used to create the case, regardless of whether those screenings were ordered for the case.
The configuration [blocked] for a case or package.
A list of people to contact about the case.
Show child attributes
Show child attributes
Services with configuration options.
Show child attributes
Show child attributes
The configuration that determines how to handle dilute samples in drug screenings.
Show child attributes
Show child attributes
The configuration that determines how to run aliases for criminal screenings.
Show child attributes
Show child attributes
The configuration that determines how to handle lost or incomplete samples for OHS and drug screenings.
Show child attributes
Show child attributes
The configuration that determines how to handle expired ePassports for OHS and drug screenings.
Show child attributes
Show child attributes